From c02a5e6fd5e30217c13c5b06228468446a657c0e Mon Sep 17 00:00:00 2001
From: paul-1 <6473457+paul-1@users.noreply.github.com>
Date: Tue, 18 Jun 2024 20:21:29 -0400
Subject: [PATCH 3/6] Configs: Add larger console font support

---
 arch/arm/configs/bcm2709_defconfig   | 4 ++++
 arch/arm/configs/bcm2711_defconfig   | 4 ++++
 arch/arm/configs/bcmrpi_defconfig    | 4 ++++
 arch/arm64/configs/bcm2711_defconfig | 4 ++++
 arch/arm64/configs/bcm2712_defconfig | 4 ++++
 5 files changed, 20 insertions(+)

diff --git a/arch/arm/configs/bcm2709_defconfig b/arch/arm/configs/bcm2709_defconfig
index a451b2dc0b41..6e8eec49f033 100644
--- a/arch/arm/configs/bcm2709_defconfig
+++ b/arch/arm/configs/bcm2709_defconfig
@@ -1613,3 +1613,7 @@ CONFIG_STACK_TRACER=y
 CONFIG_SCHED_TRACER=y
 CONFIG_BLK_DEV_IO_TRACE=y
 # CONFIG_UPROBE_EVENTS is not set
+CONFIG_FONTS=y
+CONFIG_FONT_10x18=y
+CONFIG_FONT_SUN12x22=y
+CONFIG_FONT_TER16x32=y
diff --git a/arch/arm/configs/bcm2711_defconfig b/arch/arm/configs/bcm2711_defconfig
index 85b635092e6f..cf3a9810a6b2 100644
--- a/arch/arm/configs/bcm2711_defconfig
+++ b/arch/arm/configs/bcm2711_defconfig
@@ -1650,3 +1650,7 @@ CONFIG_STACK_TRACER=y
 CONFIG_SCHED_TRACER=y
 CONFIG_BLK_DEV_IO_TRACE=y
 # CONFIG_UPROBE_EVENTS is not set
+CONFIG_FONTS=y
+CONFIG_FONT_10x18=y
+CONFIG_FONT_SUN12x22=y
+CONFIG_FONT_TER16x32=y
diff --git a/arch/arm/configs/bcmrpi_defconfig b/arch/arm/configs/bcmrpi_defconfig
index d4c39f342e13..134798b66c31 100644
--- a/arch/arm/configs/bcmrpi_defconfig
+++ b/arch/arm/configs/bcmrpi_defconfig
@@ -1606,3 +1606,7 @@ CONFIG_STACK_TRACER=y
 CONFIG_SCHED_TRACER=y
 CONFIG_BLK_DEV_IO_TRACE=y
 # CONFIG_UPROBE_EVENTS is not set
+CONFIG_FONTS=y
+CONFIG_FONT_10x18=y
+CONFIG_FONT_SUN12x22=y
+CONFIG_FONT_TER16x32=y
diff --git a/arch/arm64/configs/bcm2711_defconfig b/arch/arm64/configs/bcm2711_defconfig
index 69a9d6e022f3..8072be763f11 100644
--- a/arch/arm64/configs/bcm2711_defconfig
+++ b/arch/arm64/configs/bcm2711_defconfig
@@ -1729,3 +1729,7 @@ CONFIG_SCHED_TRACER=y
 CONFIG_BLK_DEV_IO_TRACE=y
 # CONFIG_UPROBE_EVENTS is not set
 # CONFIG_STRICT_DEVMEM is not set
+CONFIG_FONTS=y
+CONFIG_FONT_10x18=y
+CONFIG_FONT_SUN12x22=y
+CONFIG_FONT_TER16x32=y
diff --git a/arch/arm64/configs/bcm2712_defconfig b/arch/arm64/configs/bcm2712_defconfig
index 887733881baa..8e6908c34736 100644
--- a/arch/arm64/configs/bcm2712_defconfig
+++ b/arch/arm64/configs/bcm2712_defconfig
@@ -1731,3 +1731,7 @@ CONFIG_SCHED_TRACER=y
 CONFIG_BLK_DEV_IO_TRACE=y
 # CONFIG_UPROBE_EVENTS is not set
 # CONFIG_STRICT_DEVMEM is not set
+CONFIG_FONTS=y
+CONFIG_FONT_10x18=y
+CONFIG_FONT_SUN12x22=y
+CONFIG_FONT_TER16x32=y
-- 
2.48.1

